##############################################

#--- PATH ------------------------------------
HOME = /home/mukunoki
CUDA_PATH	:=/usr/local/cuda-8.0
CUDA_LIB  = $(CUDA_PATH)/lib64
CUDA_INC  = $(CUDA_PATH)/include

#--- Compute Capability ----------------------
 CC20 = no
 CC21 = no
 CC30 = no
 CC32 = no
 CC35 = yes
 CC37 = no
 CC50 = no
 CC52 = no
 CC53 = no
 CC60 = no
 CC61 = yes

#--- Precision -------------------------------
 PREC_S = yes
 PREC_D = yes
 PREC_DB = yes
 PREC_C = yes
 PREC_Z = yes
 PREC_W = no
 PREC_U = no
 PREC_B = no
 PREC_V = no

#--- Routine ---------------------------------
# level-0
 GEAM = yes
# level-1
 AXPY = yes
 SCAL = yes
# level-2
 GEMV = yes
 GEMV_MGPU = yes
 TRMV = yes
 CSRMV = yes
# level-3
 GEMM = yes

##############################################
